# Created by pyp2rpm-3.3.2
%global pypi_name pytest-expect

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        %mkrel 7
Summary:        py.test plugin to store test expectations and mark tests based on them
Group:          Development/Python
License:        MIT License
URL:            https://github.com/gsnedders/pytest-expect
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
A py.test plugin that stores test expectations by saving the set of failing
tests, allowing them to be marked as xfail when running them in future. The
tests expectations are stored such that they can be distributed alongside the
tests.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A py.test plugin that stores test expectations by saving the set of failing
tests, allowing them to be marked as xfail when running them in future. The
tests expectations are stored such that they can be distributed alongside the
tests.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_expect

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.1.0-7.mga10
+ Revision: 2236288
- Mageia 10 Mass Rebuild

* Sat Feb 22 2025 wally <wally> 1.1.0-6.mga10
+ Revision: 2150843
- rebuild for python3.13
- switch to pyproject rpm macros

* Fri Dec 08 2023 wally <wally> 1.1.0-5.mga10
+ Revision: 2015718
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.1.0-4.mga9
+ Revision: 1822734
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 1.1.0-3.mga9
+ Revision: 1775079
- Rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 1.1.0-2.mga9
+ Revision: 1703465
- rebuild for python 3.9

* Sat Sep 07 2019 wally <wally> 1.1.0-1.mga8
+ Revision: 1438240
- imported package python-pytest-expect

